Sheets

Delete an in-house Space sheet

DELETE
/v1/space/sheets/{sheet_id}
curl -X DELETE "https://api.orchestor.io/v1/space/sheets/%3Csheet_id%3E?updated_at=value" \  -H "Authorization: Bearer $API_KEY" \  -H "X-Workspace-ID: wks_abc123"
{  "data": {    "deleted": true,    "id": "<string>"  }}

Get your Orchestor API key

Create an API key in your workspace settings.

Authorizations

Satisfy one of these options:

  • Session cookie
  • API key

Authentication details

cookie
wos-session

Browser session established by signing in to the web app. The server checks your workspace membership and permissions. Supply X-Workspace-ID for workspace-scoped operations. For server-to-server requests, use an API key when the operation supports it.

Path Parameters

sheet_idstringpathrequired
Pattern
^sht_[a-f0-9]{24}$

Query Parameters

updated_atstringqueryrequiredformat:date-time

Headers

X-Workspace-IDstringheader

Workspace to access. With a workspace-scoped API key, the server derives this value from the key, so the header is optional. If supplied, it must match the credential workspace or the request returns 403 workspace_mismatch. For interactive session requests, supply this header to select a workspace where you are a member. A project ID cannot be used as a workspace ID.

Example"wks_abc123"

Response

application/json

Deleted sheet

dataobjectrequired
data.deletedbooleanenum<boolean>required
Allowed
true
data.idstringrequired